Package fr.gouv.vitam.functional.administration.common

# Class VitamErrorUtils

java.lang.Object
fr.gouv.vitam.functional.administration.common.VitamErrorUtils

public class VitamErrorUtils extends Object
Class utils: generate VitamError

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamErrorUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VitamError<com.fasterxml.jackson.databind.JsonNode>`
  `getVitamError(String vitamCode, String description, String collection, StatusCode state)`
  `static <T> VitamError<T>`
  `getVitamError(String vitamCode, String description, String collection, StatusCode state, Class<T> clasz)`
  `static VitamError<com.fasterxml.jackson.databind.JsonNode>`
  `getVitamErrorWithMessage(String vitamCode, String description, String collection, StatusCode state, String message)`
  `static <T> VitamError<T>`
  `getVitamErrorWithMessage(String vitamCode, String description, String collection, StatusCode state, String message, Class<T> clasz)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VitamErrorUtils

    public VitamErrorUtils()

- ## Method Details

  - ### getVitamError

    public static VitamError<com.fasterxml.jackson.databind.JsonNode> getVitamError(String vitamCode, String description, String collection, StatusCode state)
    Parameters:
      `vitamCode` - the code of vitam error
      `description` - the description message error
      `collection` - the name of the collection
      `state` - the status code
    Returns:
      VitamError

  - ### getVitamError

    public static <T> VitamError<T> getVitamError(String vitamCode, String description, String collection, StatusCode state, Class<T> clasz)
    Parameters:
      `vitamCode` - the code of vitam error
      `description` - the description message error
      `collection` - the name of the collection
      `state` - the status code
      `clasz` - the vitam error sub class
    Returns:
      VitamError

  - ### getVitamErrorWithMessage

    public static VitamError<com.fasterxml.jackson.databind.JsonNode> getVitamErrorWithMessage(String vitamCode, String description, String collection, StatusCode state, String message)

  - ### getVitamErrorWithMessage

    public static <T> VitamError<T> getVitamErrorWithMessage(String vitamCode, String description, String collection, StatusCode state, String message, Class<T> clasz)